import 'package:flutter/material.dart';
import 'package:selfprivacy/ui/courierspage.dart';

class AddCourierFab extends StatelessWidget {
  const AddCourierFab({super.key});

  @override
  Widget build(final BuildContext context) => FloatingActionButton(
        heroTag: 'new_courier_fab',
        onPressed: () {
          showModalBottomSheet<void>(
            context: context,
            isScrollControlled: true,
            backgroundColor: Colors.transparent,
            builder: (final BuildContext context) => Padding(
              padding: MediaQuery.of(context).viewInsets,
              child: const CouriersDetails(),
            ),
          );
        },
        child: const Icon(Icons.person_add_outlined),
      );
}
