import 'package:flutter/material.dart';
import 'package:selfprivacy/ui/orderspage.dart';

class AddOrderFab extends StatelessWidget {
  const AddOrderFab({super.key});

  @override
  Widget build(final BuildContext context) => FloatingActionButton(
        heroTag: 'new_order_fab',
        onPressed: () {
          showModalBottomSheet<void>(
            context: context,
            isScrollControlled: true,
            backgroundColor: Colors.transparent,
            builder: (final BuildContext context) => Padding(
              padding: MediaQuery.of(context).viewInsets,
              child: const OrdersDetails(),
            ),
          );
        },
        child: const Icon(Icons.add_alarm_outlined),
      );
}
