part of 'courierspage.dart';

class _Courier extends StatelessWidget {
  const _Courier({
    required this.courier,
  });

  final Courier courier;

  @override
  Widget build(final BuildContext context) => InkWell(
        child: Container(
          padding: const EdgeInsets.symmetric(horizontal: 15),
          height: 48,
          child: Row(
            children: [
              Container(
                width: 17,
                height: 17,
                decoration: const BoxDecoration(
                  color: Color.fromRGBO(
                    233,
                    333,
                    30,
                    100,
                  ),
                  shape: BoxShape.circle,
                ),
              ),
              const SizedBox(width: 20),
              Flexible(
                child: Text('${courier.name} ${courier.surname}'),
              ),
            ],
          ),
        ),
      );
}
