part of 'itemspage.dart';

class _Item extends StatelessWidget {
  const _Item({
    required this.item,
  });

  final Item item;

  @override
  Widget build(final BuildContext context) => InkWell(
        child: Container(
          padding: const EdgeInsets.symmetric(horizontal: 15),
          height: 48,
          child: Row(
            children: [
              Container(
                width: 17,
                height: 17,
                decoration: const BoxDecoration(
                  color: Color.fromRGBO(
                    133,
                    200,
                    133,
                    100,
                  ),
                  shape: BoxShape.circle,
                ),
              ),
              const SizedBox(width: 20),
              Flexible(
                child: Text(item.title),
              ),
            ],
          ),
        ),
      );
}
